<odoo>
  <data>
    <!-- explicit list view definition -->
<!--
    <record model="ir.ui.view" id="bose_custom_package.list">
      <field name="name">bose_custom_package list</field>
      <field name="model">bose_custom_package.bose_custom_package</field>
      <field name="arch" type="xml">
        <tree>
          <field name="name"/>
          <field name="value"/>
          <field name="value2"/>
        </tree>
      </field>
    </record>
-->

    <!-- actions opening views on models -->
<!--
    <record model="ir.actions.act_window" id="bose_custom_package.action_window">
      <field name="name">bose_custom_package window</field>
      <field name="res_model">bose_custom_package.bose_custom_package</field>
      <field name="view_mode">tree,form</field>
    </record>
-->

    <!-- server action to the one above -->
<!--
    <record model="ir.actions.server" id="bose_custom_package.action_server">
      <field name="name">bose_custom_package server</field>
      <field name="model_id" ref="model_bose_custom_package_bose_custom_package"/>
      <field name="state">code</field>
      <field name="code">
        action = {
          "type": "ir.actions.act_window",
          "view_mode": "tree,form",
          "res_model": model._name,
        }
      </field>
    </record>
-->

    <!-- Top menu item -->
<!--
    <menuitem name="bose_custom_package" id="bose_custom_package.menu_root"/>
-->
    <!-- menu categories -->
<!--
    <menuitem name="Menu 1" id="bose_custom_package.menu_1" parent="bose_custom_package.menu_root"/>
    <menuitem name="Menu 2" id="bose_custom_package.menu_2" parent="bose_custom_package.menu_root"/>
-->
    <!-- actions -->
<!--
    <menuitem name="List" id="bose_custom_package.menu_1_list" parent="bose_custom_package.menu_1"
              action="bose_custom_package.action_window"/>
    <menuitem name="Server to list" id="bose_custom_package" parent="bose_custom_package.menu_2"
              action="bose_custom_package.action_server"/>
-->


    <record id="sale_order_form_extend" model="ir.ui.view">
            <field name="name">sale.order.form.extend</field>
            <field name="model">sale.order</field>
            <field name="inherit_id" ref="sale.view_order_form" />   
            <field name="arch" type="xml">
                <xpath expr="//field[@name='order_line']/tree//field[@name='product_uom_qty']" position="before">
                    <field name="package_no"/>
                </xpath>
                <xpath expr="//field[@name='payment_term_id']" position="after">
                  <field name="matching_boxes"/>
                    
                </xpath>
            </field>
    </record>

    <record id="view_order_form" model="ir.ui.view">
        <field name="name">product.product.form.inherit</field>
        <field name="model">product.product</field>
        <field name="inherit_id" ref="product.product_normal_form_view" />
        <field name="arch" type="xml">
          <xpath expr="//notebook" position="inside">
           <page string="Product Packs" >
               <field name="pack_ids">
                <tree string="Sale Order Matching Boxes" editable="bottom">
                    <field name="sale_number"/>
                    <field name="product_packaging_id"/>
                    <field  name="product_lableing_id" />
                    <field name="product_id" invisible="1"/>
                </tree>
              </field>
          </page>
             
          </xpath>
        </field>
    </record>


      <!-- <record id="view_order_form" model="ir.ui.view">
      <field name="name">product.product.form.inherit</field>
      <field name="model">product.product</field>
      <field name="inherit_id" ref="product.product_normal_form_view" />
      <field name="arch" type="xml">
        <xpath expr="//notebook" position="inside">
          <page string="Product Packs" >
              <field name="pack_ids">
              <tree string="Sale Order Matching Boxes" editable="bottom">
                  <field name="sale_number"/>
                  <field name="product_packaging_id"/>
                  <field name="product_id" invisible="1"/>
              </tree>
            </field>
        </page>
            
        </xpath>
      </field>
    </record> -->

  </data>
</odoo>